summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author titopoquito <titopoquito@gmail.com>2010-05-12 17:42:17 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:42:17 +0200
commit68bb4aa497f10d4f06fd5ca49399cf8aee8ebf10 (patch)
tree40131e3c96581c404a9d68ec466226168f355847 /libraries
parentf5681a2a804aa78fda93bc77c2f61212d66ba725 (diff)
downloadslackbuilds-68bb4aa497f10d4f06fd5ca49399cf8aee8ebf10.tar.gz
slackbuilds-68bb4aa497f10d4f06fd5ca49399cf8aee8ebf10.tar.xz
libraries/xapian-core: Updated for version 1.0.13
Diffstat (limited to 'libraries')
-rw-r--r--libraries/xapian-core/README10
-rw-r--r--libraries/xapian-core/xapian-core.SlackBuild37
-rw-r--r--libraries/xapian-core/xapian-core.info10
3 files changed, 30 insertions, 27 deletions
diff --git a/libraries/xapian-core/README b/libraries/xapian-core/README
index 6165548236..fd10516c95 100644
--- a/libraries/xapian-core/README
+++ b/libraries/xapian-core/README
@@ -1,5 +1,3 @@
-xapian (search engine library)
-
Xapian is an Open Source Search Engine Library, released under
the GPL. It's written in C++, with bindings to allow use from
Perl, Python, PHP, Java, Tcl, C#, and Ruby (so far!) Xapian is
@@ -8,11 +6,3 @@ add advanced indexing and search facilities to their own
applications. It supports the Probabilistic Information
Retrieval model and also supports a rich set of boolean query
operators.
-
-The homepage of xapian is found at http://www.xapian.org/
-
-xapian-core does not seem to depend on other packages.
-No incompatibilites of the used version are known so far.
-NOTE: Version 0.9.10 works ok with the file search utility recoll,
-version 1.0.0 does NOT work with recoll (at the time of writing).
-No special configuration is needed after installing the package.
diff --git a/libraries/xapian-core/xapian-core.SlackBuild b/libraries/xapian-core/xapian-core.SlackBuild
index d4a0f7504b..440073a32c 100644
--- a/libraries/xapian-core/xapian-core.SlackBuild
+++ b/libraries/xapian-core/xapian-core.SlackBuild
@@ -1,6 +1,8 @@
#!/bin/sh
+
# Slackware build script for xapian-core
-# Copyright 2007 by titopoquito (titopoquito@cooltoad.com)
+
+# Copyright 2007-2009 by titopoquito (titopoquito@gmail.com)
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all
@@ -18,17 +20,15 @@
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
-# ---------------------------------------------------------------------------
-# Modified by the SlackBuilds.org Project
-# Exit on most errors
-set -e
+# Modified by the SlackBuilds.org Project
PRGNAM=xapian-core
-VERSION=1.0.6
+VERSION=1.0.13
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,15 +36,22 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -53,17 +60,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --disable-static
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -72,10 +83,12 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS HACKING PLATFORMS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS HACKING PLATFORMS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# some doc files have been copied to $PKG/usr/share/doc, move them over to
+# Some doc files have been copied to $PKG/usr/share/doc, move them over to
# /usr/doc so that they will be in $PRGNAM-$VERSION and not in $PRGNAM
mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
rm -rf $PKG/usr/share/doc
diff --git a/libraries/xapian-core/xapian-core.info b/libraries/xapian-core/xapian-core.info
index ae1d4a3a95..45460ee554 100644
--- a/libraries/xapian-core/xapian-core.info
+++ b/libraries/xapian-core/xapian-core.info
@@ -1,8 +1,8 @@
PRGNAM="xapian-core"
-VERSION="1.0.6"
+VERSION="1.0.13"
HOMEPAGE="http://www.xapian.org/"
-DOWNLOAD="http://www.oligarchy.co.uk/xapian/1.0.6/xapian-core-1.0.6.tar.gz"
-MD5SUM="a9cde41303f047523cec5c65cd91a0e6"
+DOWNLOAD="http://oligarchy.co.uk/xapian/1.0.13/xapian-core-1.0.13.tar.gz"
+MD5SUM="5442e7ffc75abd853d1ab1d12667a3e9"
MAINTAINER="titopoquito"
-EMAIL="titopoquito@cooltoad.com"
-APPROVED="David Somero"
+EMAIL="titopoquito@gmail.com"
+APPROVED="dsomero,rworkman"